<template>
    <div>
        <SprintForm v-bind:sprint="sprint" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></SprintForm>
    </div>
</template>

<script>
import SprintForm from './Sprint.Form.vue';
import { editProject } from '@/api/projects.service.js';
export default {
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        sprint() {
            if (this.project.sprints && this.project.sprints[this.$route.params.sprintId]) {
                return this.project.sprints[this.$route.params.sprintId];
            }
            return {};
        }
    },
    components: {
        SprintForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {
            this.project.sprints.splice(this.$route.params.sprintId, 1);
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });
        }
    }
}
</script>

<style>

</style>
